%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin
#global pyver %{nil}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define hgrev 84b551a47ac4

%define rname	yt
Name:           %{rname}%{pyver}
Version:        2.7
Release:        1%{?dist}.%{hgrev}.1
Summary:        python package for scientific data analysis and visualization
License:        BSD variant
URL:            http://yt-project.org/
#Source0:        https://bitbucket.org/MatthewTurk/yt/get/%{hgrev}.zip
Source0:        MatthewTurk-yt-%{hgrev}.zip
BuildRequires:	bzip2-devel zlib-devel openssl-devel gcc-c++ gcc-gfortran zip ncurses-devel uuid-devel readline-devel
BuildRequires:	subversion mercurial libpng-devel freetype-devel sqlite-devel hdf5-188-gcc-devel h5py27-221-188
BuildRequires:	environment-modules python%{pyver}-nose Cython%{pyver} python%{pyver}-Forthon = 0.8.11
BuildRequires:       python%{pyver}-matplotlib numpy%{pyver} sympy%{pyver} scipy%{pyver} python%{pyver}-ipython-notebook
Requires:       python%{pyver}-matplotlib numpy%{pyver} sympy%{pyver} scipy%{pyver} python%{pyver}-ipython-notebook

%description
yt is a python package for analyzing and visualizing volumetric, multi-resolution
data from astrophysical simulations, radio telescopes, and a burgeoning
interdisciplinary community.

This particular version is pulled out of Matthew Turk's repository at:
https://bitbucket.org/MatthewTurk/yt/

%prep
%setup -q -n MatthewTurk-yt-%{hgrev}
# it overlaps with doc/README
mv README README.yt

%build
. /etc/profile.d/modules.sh
module load python hdf5 h5py%{pyver}
# Build the python2 version
%{__python} setup.py build

%install
. /etc/profile.d/modules.sh
module load python hdf5 h5py%{pyver}

# Install the python2 version
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
. /etc/profile.d/modules.sh
module load python hdf5 h5py%{pyver}
#%{__python} setup.py test
export PYTHONPATH=$PYTHONPATH:%{buildroot}%{python_sitearch}
# not for now - seems like there are bugs either in yt or in tests
#nosetests
 
%files
%doc CITATION COPYING.txt CREDITS README* doc/*
%{_bindir}/*
%{python_sitearch}/yt*

%changelog
* Mon Feb  3 2014 Josko Plazonic <plazonic@princeton.edu>
- initial build
